/* JTXT系统相关api */
export default {
  API_LIST_EXAM_QUESTION: {
    // 查询所有试题类型-父类
    INTERFACE_GET_EXAMS_QUESTION_TYPE_CONDITION_PARENT: "q-categories",
    // 查询所有试题类型-子类
    INTERFACE_GET_EXAMS_QUESTION_TYPE_CONDITION_CHILDRENS: "q-categories/{categoryId}",
    // 新建试题类型
    INTERFACE_POST_EXAMS_QUESTION_TYPE_CREATE: "admin/qCategories",
    // 删除某个试题类型
    INTERFACE_POST_EXAMS_QUESTION_TYPE_DELETE: "admin/q-categories/{categoryId}",

    // 查询所有试题
    INTERFACE_GET_EXAMS_QUESTION_LIST: "admin/questions",
    // 新建试题
    INTERFACE_POST_EXAMS_QUESTION_ADD: "questions",
    // 修改试题
    INTERFACE_POST_EXAMS_QUESTION_EDIT: "questions/{questionId}",
    // 删除某一个试题
    INTERFACE_DELETE_EXAMS_QUESTION_DELETE: "questions/{questionId}",
    // 批量删除试题
    INTERFACE_DELETE_EXAMS_QUESTION_DELETE_LIST: "admin/somequestions",
    // 查询某个试题的详情
    INTERFACE_GET_EXAMS_QUESTION_DETAIL: "questions/{questionId}"
  }
};
